# UPSCLI_STRERROR(3)

## NAME

upscli_strerror - Return a string describing error condition

## SYNOPSIS

            #include <upsclient.h>

            const char *upscli_strerror(UPSCONN_t *ups);

## DESCRIPTION

The upscli_strerror() function takes the pointer ups to a `UPSCONN_t` state structure and returns a string describing the last error which occurred on this connection. The string is valid until the next call to upscli_strerror().

## RETURN VALUE

The upscli_strerror() function returns a description of the error, or an "unknown error" message if the error code is not recognized.

## SEE ALSO

upscli_fd(3), upscli_get(3), upscli_readline(3), upscli_sendline(3), upscli_ssl(3), upscli_upserror(3)